For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Customer

get

GET
https://api.groundx.ai/api/v1/customer
GET
/api/v1/customer
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.customer.get()
200Retrieved
1{
2 "customer": {
3 "email": "jane.doe@example.com",
4 "first": "Jane",
5 "last": "Doe",
6 "status": "user",
7 "subscription": {
8 "meters": {
9 "fileTokens": {
10 "max": 100000,
11 "meterId": "meter-filetokens-12345",
12 "value": 45230
13 },
14 "searches": {
15 "max": 50000,
16 "meterId": "meter-searches-67890",
17 "value": 12345
18 }
19 }
20 }
21 }
22}
Get the account information associated with the API key.
Was this page helpful?
Previous

list

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Response

Look up success
customerobject
Account information for the user